## org.eclipse.emf.ocl.expressions
Interface CollectionItem

All Superinterfaces:
  CollectionLiteralPart, EModelElement, ENamedElement, EObject, Notifier, TypedElement

All Known Implementing Classes:
  CollectionItemImpl

Deprecated. Use the `CollectionItem` interface, instead.

    @Deprecated
    public interface CollectionItem

extends CollectionLiteralPart

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`OCLExpression` `getItem()` Deprecated.
`void` `setItem(OCLExpression value)` Deprecated. Sets the value of the '`Item`' containment reference

Methods inherited from interface org.eclipse.emf.ocl.uml.TypedElement
`getType, setType`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getItem

    OCLExpression getItem()

  Deprecated.

### setItem

    void setItem(OCLExpression value)

  Deprecated.
  Sets the value of the '`Item`' containment reference.

  Parameters:
    `value` - the new value of the 'Item' containment reference.
  See Also:
    `getItem()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.